Bonjour tout le monde,

J'aurais besoin d'aide afin de pouvoir faire une commande sur AutoCAD. Le principe serait le suivant, sélectionner un objet et pouvoir le copier coller et le faire pivoter puis continuer à l'infini jusqu'à faire échap ou une autre touche. J'ai déjà fait un bout de code qui est ci-dessous et qui fait partiellement ce que je veux; seulement je ne m'y connais pas du tout dans ce langage spécial. Ainsi quand je fais échap ça colle 2 fois sur un même endroit. De plus j'aimerais que une fois que j'ai collé mon objet et que je l'ai pivoter, que je puisse coller le suivant avec l'angle de base(que j'ai copié la 1ère fois). Si vous auriez des idées, ça m'aiderais beaucoup !

Je vous remercie pour votre aide !

CODE:
______________________________ ______________________________ ______________________________ ___
Code:
;copyrotate - press cr

(defun c:cr ()
(princ "\nCopier, &
 Rotation:\n")
(setq ss (ssget))
(setq quitter 1)

(command "copier" ss "" "0" "0")(command "deplacer" ss "" pause pause)(command "rotation" ss "" "@" pause)

(while (/= quitter 0)
(command "copier" ss "" "0" "0")(command "deplacer" ss "" "@" pause)(command "rotation" ss "" "@" pause)
))
______________________________ ______________________________ ______________________________ __